import { c as bind_props, i as slot, p as pop, a as push } from "./index2.js";
import { o as onDestroy } from "./index-server.js";
import { f as fallback } from "./utils.js";
function Spinner($$payload, $$props) {
  let spinner = fallback($$props["spinner"], "");
  if (spinner === "bubbles") {
    $$payload.out += "<!--[-->";
    $$payload.out += `<span class="loading-bubbles svelte-10h86fq"><span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span> <span class="bubble-item svelte-10h86fq"></span></span>`;
  } else {
    $$payload.out += "<!--[!-->";
    if (spinner === "circles") {
      $$payload.out += "<!--[-->";
      $$payload.out += `<span class="loading-circles svelte-10h86fq"><span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span> <span class="circle-item svelte-10h86fq"></span></span>`;
    } else {
      $$payload.out += "<!--[!-->";
      if (spinner === "spiral") {
        $$payload.out += "<!--[-->";
        $$payload.out += `<i class="loading-spiral svelte-10h86fq"></i>`;
      } else {
        $$payload.out += "<!--[!-->";
        if (spinner === "wavedots") {
          $$payload.out += "<!--[-->";
          $$payload.out += `<span class="loading-wave-dots svelte-10h86fq"><span class="wave-item svelte-10h86fq"></span> <span class="wave-item svelte-10h86fq"></span> <span class="wave-item svelte-10h86fq"></span> <span class="wave-item svelte-10h86fq"></span> <span class="wave-item svelte-10h86fq"></span></span>`;
        } else {
          $$payload.out += "<!--[!-->";
          $$payload.out += `<i class="loading-default svelte-10h86fq"></i>`;
        }
        $$payload.out += `<!--]-->`;
      }
      $$payload.out += `<!--]-->`;
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]-->`;
  bind_props($$props, { spinner });
}
(() => {
  let supportsPassive = false;
  try {
    const opts = Object.defineProperty({}, "passive", {
      get() {
        supportsPassive = { passive: true };
        return true;
      }
    });
    window.addEventListener("testPassive", null, opts);
    window.removeEventListener("testPassive", null, opts);
  } catch (e) {
  }
  return supportsPassive;
})();
function InfiniteLoading($$payload, $$props) {
  push();
  let showSpinner, showError, showNoResults, showNoMore;
  const STATUS = { READY: 0, LOADING: 1, COMPLETE: 2, ERROR: 3 };
  let distance = fallback($$props["distance"], 100);
  let spinner = fallback($$props["spinner"], "default");
  let direction = fallback($$props["direction"], "bottom");
  let forceUseInfiniteWrapper = fallback($$props["forceUseInfiniteWrapper"], false);
  let identifier = fallback($$props["identifier"], () => +/* @__PURE__ */ new Date(), true);
  let isFirstLoad = true;
  let status = STATUS.READY;
  async function attemptLoad(isContinuousCall) {
  }
  onDestroy(() => {
  });
  showSpinner = status === STATUS.LOADING;
  showError = status === STATUS.ERROR;
  showNoResults = status === STATUS.COMPLETE;
  showNoMore = status === STATUS.COMPLETE;
  $$payload.out += `<div class="infinite-loading-container svelte-o3w4bf">`;
  if (showSpinner) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="infinite-status-prompt"><!---->`;
    slot($$payload, $$props, "spinner", { isFirstLoad }, () => {
      Spinner($$payload, { spinner });
    });
    $$payload.out += `<!----></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (showNoResults) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="infinite-status-prompt"><!---->`;
    slot($$payload, $$props, "noResults", {}, () => {
      $$payload.out += `No results :(`;
    });
    $$payload.out += `<!----></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (showNoMore) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="infinite-status-prompt"><!---->`;
    slot($$payload, $$props, "noMore", {}, () => {
      $$payload.out += `No more data :)`;
    });
    $$payload.out += `<!----></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> `;
  if (showError) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="infinite-status-prompt"><!---->`;
    slot($$payload, $$props, "error", { attemptLoad }, () => {
      $$payload.out += `Oops, something went wrong :( <br> <button class="btn-try-infinite svelte-o3w4bf">Retry</button>`;
    });
    $$payload.out += `<!----></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--></div>`;
  bind_props($$props, {
    distance,
    spinner,
    direction,
    forceUseInfiniteWrapper,
    identifier
  });
  pop();
}
export {
  InfiniteLoading as I
};
