import { e as ensure_array_like, s as store_get, u as unsubscribe_stores, p as pop, a as push } from "./index2.js";
import { T as Thumbnail } from "./Thumbnail.js";
import { $ as $format } from "./runtime.js";
import { g as get } from "./index.js";
import { b as authStore } from "./store.js";
import "human-number";
import "@capacitor/core";
import "bgutils-js";
import "youtubei.js";
import { C as ContentColumn } from "./ContentColumn.js";
import { e as escape_html } from "./escaping.js";
function VideoList($$payload, $$props) {
  push();
  var $$store_subs;
  let {
    videos = [],
    playlistId = "",
    playlistAuthor = ""
  } = $$props;
  let hiddenVideos = [];
  let auth = get(authStore);
  const each_array = ensure_array_like(videos);
  $$payload.out += `<div class="page right active"><div class="space"></div> <div class="grid"><!--[-->`;
  for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
    let video = each_array[$$index];
    if (!hiddenVideos.includes(video.videoId)) {
      $$payload.out += "<!--[-->";
      ContentColumn($$payload, {
        children: ($$payload2) => {
          $$payload2.out += `<article class="no-padding" style="height: 100%;">`;
          Thumbnail($$payload2, { video, playlistId });
          $$payload2.out += `<!----> `;
          if (auth && decodeURIComponent(auth.username) === playlistAuthor && "indexId" in video) {
            $$payload2.out += "<!--[-->";
            $$payload2.out += `<div class="right-align" style="margin: 1em .5em;"><button class="tertiary circle small"><i>delete</i> <div class="tooltip">${escape_html(store_get($$store_subs ??= {}, "$_", $format)("delete"))}</div></button></div>`;
          } else {
            $$payload2.out += "<!--[!-->";
          }
          $$payload2.out += `<!--]--></article>`;
        }
      });
    } else {
      $$payload.out += "<!--[!-->";
    }
    $$payload.out += `<!--]-->`;
  }
  $$payload.out += `<!--]--></div></div>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
export {
  VideoList as V
};
