import { s as store_get, u as unsubscribe_stores, p as pop, a as push, e as ensure_array_like } from "../../../../../chunks/index2.js";
import { i as interfaceLowBandwidthMode, a as activePageStore } from "../../../../../chunks/store.js";
import "human-number";
import "@capacitor/core";
import "bgutils-js";
import { a as attr } from "../../../../../chunks/attributes.js";
import "youtubei.js";
import { c as cleanNumber } from "../../../../../chunks/time.js";
import { $ as $format } from "../../../../../chunks/runtime.js";
import { t as truncate } from "../../../../../chunks/misc.js";
import { e as escape_html } from "../../../../../chunks/escaping.js";
import { C as ContentColumn } from "../../../../../chunks/ContentColumn.js";
import { P as PageLoading } from "../../../../../chunks/PageLoading.js";
import { P as PlaylistThumbnail } from "../../../../../chunks/PlaylistThumbnail.js";
import { T as Thumbnail } from "../../../../../chunks/Thumbnail.js";
import { I as InfiniteLoading } from "../../../../../chunks/InfiniteLoading.js";
function ChannelThumbnail($$payload, $$props) {
  push();
  var $$store_subs;
  let { channel } = $$props;
  $$payload.out += `<a${attr("href", `/channel/${channel.authorId}`)} class="wave" style="min-width: 100%;min-height: 100%;"><div class="padding">`;
  if (!store_get($$store_subs ??= {}, "$interfaceLowBandwidthMode", interfaceLowBandwidthMode)) {
    $$payload.out += "<!--[-->";
    $$payload.out += `<div class="center-align">`;
    {
      $$payload.out += "<!--[-->";
      $$payload.out += `<progress class="circle"></progress>`;
    }
    $$payload.out += `<!--]--></div>`;
  } else {
    $$payload.out += "<!--[!-->";
  }
  $$payload.out += `<!--]--> <h5 class="center-align">${escape_html(truncate(channel.author, 14))}</h5> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape_html(cleanNumber(channel.subCount))}
			${escape_html(store_get($$store_subs ??= {}, "$_", $format)("subscribers"))}</h6> <p>${escape_html(channel.description)}</p></div></a>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function HashtagThumbnail($$payload, $$props) {
  push();
  var $$store_subs;
  let { hashtag } = $$props;
  $$payload.out += `<a${attr("href", hashtag.url)} class="wave" style="min-width: 100%;min-height: 100%;"><div class="padding"><h5 class="center-align">${escape_html(truncate(hashtag.title, 14))}</h5> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape_html(cleanNumber(hashtag.channelCount))}
			${escape_html(store_get($$store_subs ??= {}, "$_", $format)("channels"))}</h6> <h6 style="margin-top: 0;" class="center-align grey-text medium-text">${escape_html(cleanNumber(hashtag.videoCount))}
			${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videos"))}</h6></div></a>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
function _page($$payload, $$props) {
  push();
  var $$store_subs;
  let { data } = $$props;
  let searchResults = data;
  activePageStore.set(null);
  $$payload.out += `<div style="margin-top: 1em;"><div class="tabs left-align min scroll"><a href="#all"${attr("class", [
    searchResults.searchType === "all" ? "active" : ""
  ].filter(Boolean).join(" "))}><i>home</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videoTabs.all"))}</span></a> <a href="#videos"${attr("class", [
    searchResults.searchType === "video" ? "active" : ""
  ].filter(Boolean).join(" "))}><i>movie</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videoTabs.videos"))}</span></a> <a href="#playlists"${attr("class", [
    searchResults.searchType === "playlist" ? "active" : ""
  ].filter(Boolean).join(" "))}><i>playlist_add_check</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videoTabs.playlists"))}</span></a> <a href="#channels"${attr("class", [
    searchResults.searchType === "channel" ? "active" : ""
  ].filter(Boolean).join(" "))}><i>person</i> <span>${escape_html(store_get($$store_subs ??= {}, "$_", $format)("videoTabs.channels"))}</span></a></div></div> `;
  if (searchResults.search.length > 0) {
    $$payload.out += "<!--[-->";
    const each_array = ensure_array_like(searchResults.search);
    $$payload.out += `<div class="page right active"><div class="space"></div> <div class="grid"><!--[-->`;
    for (let $$index = 0, $$length = each_array.length; $$index < $$length; $$index++) {
      let item = each_array[$$index];
      ContentColumn($$payload, {
        children: ($$payload2) => {
          $$payload2.out += `<!---->`;
          {
            $$payload2.out += `<article class="no-padding" style="height: 100%;">`;
            if (item.type === "video") {
              $$payload2.out += "<!--[-->";
              Thumbnail($$payload2, { video: item });
            } else {
              $$payload2.out += "<!--[!-->";
              if (item.type === "channel") {
                $$payload2.out += "<!--[-->";
                ChannelThumbnail($$payload2, { channel: item });
              } else {
                $$payload2.out += "<!--[!-->";
                if (item.type === "playlist") {
                  $$payload2.out += "<!--[-->";
                  PlaylistThumbnail($$payload2, { playlist: item });
                } else {
                  $$payload2.out += "<!--[!-->";
                  if (item.type === "hashtag") {
                    $$payload2.out += "<!--[-->";
                    HashtagThumbnail($$payload2, { hashtag: item });
                  } else {
                    $$payload2.out += "<!--[!-->";
                  }
                  $$payload2.out += `<!--]-->`;
                }
                $$payload2.out += `<!--]-->`;
              }
              $$payload2.out += `<!--]-->`;
            }
            $$payload2.out += `<!--]--></article>`;
          }
          $$payload2.out += `<!---->`;
        }
      });
    }
    $$payload.out += `<!--]--></div></div>`;
  } else {
    $$payload.out += "<!--[!-->";
    PageLoading($$payload);
  }
  $$payload.out += `<!--]--> `;
  InfiniteLoading($$payload, {});
  $$payload.out += `<!---->`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  pop();
}
export {
  _page as default
};
