import { g as goto } from "../../chunks/client.js";
import { k as getResolveUrl } from "../../chunks/index3.js";
import { r as registerLocaleLoader, i as init, w as waitLocale } from "../../chunks/runtime.js";
import { g as getPages } from "../../chunks/navPages.js";
import { g as interfaceDefaultPage, b as authStore } from "../../chunks/store.js";
import { g as get } from "../../chunks/index.js";
const defaultLocale = "en";
registerLocaleLoader("en", () => import("../../chunks/en.js"));
registerLocaleLoader("ru", () => import("../../chunks/ru.js"));
registerLocaleLoader("zh-CN", () => import("../../chunks/zh-CN.js"));
registerLocaleLoader("tr", () => import("../../chunks/tr.js"));
registerLocaleLoader("nl", () => import("../../chunks/nl.js"));
registerLocaleLoader("de", () => import("../../chunks/de.js"));
registerLocaleLoader("es", () => import("../../chunks/es.js"));
registerLocaleLoader("sh", () => import("../../chunks/sh.js"));
registerLocaleLoader("pt-BR", () => import("../../chunks/pt-BR.js"));
init({
  fallbackLocale: defaultLocale,
  initialLocale: defaultLocale
});
let ssr = false;
async function load({ url }) {
  if (url.pathname.startsWith("/@")) {
    const username = url.pathname.split("/")[1];
    try {
      const resolvedUrl = await getResolveUrl(`www.youtube.com/${username}`);
      if (resolvedUrl.pageType === "WEB_PAGE_TYPE_CHANNEL") {
        goto(`/channel/${resolvedUrl.ucid}`);
      }
    } catch {
    }
  }
  await waitLocale();
  const defaultPage = get(interfaceDefaultPage);
  if (defaultPage && defaultPage !== "/" && defaultPage.startsWith("/") && url.pathname === "/" && window.history.length < 3) {
    getPages().forEach((page) => {
      if (page.href === defaultPage && (!page.requiresAuth || get(authStore))) {
        goto();
      }
    });
  }
}
export {
  load,
  ssr
};
